Bug 175431 - Add support UTF-8 encoding to ports/japanese/less
Add support UTF-8 encoding to ports/japanese/less
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Hiroki Sato
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-19 14:00 UTC by nork
Modified: 2013-01-19 17:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.34 KB, patch)
2013-01-19 14:00 UTC, nork
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nork freebsd_committer 2013-01-19 14:00:00 UTC
ports/japanese/less doesn't support to display UTF-8.
But bogytech made a patch to support UTF-8 for ports/japanese/less.

WWW: http://bogytech.blogspot.jp/2011/06/jless-utf-8.html (Japanese only)

Fix: Please apply my patch.

Patch attached with submission follows:
How-To-Repeat: less UTF8.txt
Comment 1 dfilter freebsd_committer 2013-01-19 16:58:01 UTC
Author: hrs
Date: Sat Jan 19 16:57:52 2013
New Revision: 310655
URL: http://svnweb.freebsd.org/changeset/ports/310655

Log:
  - Add UTF-8 support[*].
  - Add LICENSE.
  - Update pkg-descr.
  - Use PORTDOCS for additional documents.
  
  Submitted by:	nork [*]
  PR:		ports/175431 [*]

Added:
  head/japanese/less/files/patch-regex_cs.c
     - copied unchanged from r305850, head/japanese/less/files/regex_cs.c.patch
Deleted:
  head/japanese/less/files/regex_cs.c.patch
Modified:
  head/japanese/less/Makefile
  head/japanese/less/distinfo
  head/japanese/less/files/patch-ac
  head/japanese/less/files/patch-filename.c
  head/japanese/less/pkg-descr
  head/japanese/less/pkg-plist

Modified: head/japanese/less/Makefile
==============================================================================
--- head/japanese/less/Makefile	Sat Jan 19 13:47:39 2013	(r310654)
+++ head/japanese/less/Makefile	Sat Jan 19 16:57:52 2013	(r310655)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	jless
-# Date created:		7 March 1995
-# Whom:			Nobuhiro Yasutomi <nobu@psrc.isac.co.jp>
-#
+# Created by: Nobuhiro Yasutomi <nobu@psrc.isac.co.jp>
 # $FreeBSD$
-#
 
 PORTNAME=	less+iso
 PORTVERSION=	382.262
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	japanese
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	nork
@@ -22,31 +18,33 @@ PATCHFILES=	${DISTNAME}-iso258.patch.gz 
 		${DISTNAME}-iso258-259.patch.gz \
 		${DISTNAME}-iso259-260.patch.gz \
 		${DISTNAME}-iso260-261.patch.gz \
-		${DISTNAME}-iso261-${PORTVERSION:E}.patch.gz
+		${DISTNAME}-iso261-${PORTVERSION:E}.patch.gz \
+		${DISTNAME}-iso${PORTVERSION:E}.ext03.patch.gz
 PATCH_DIST_STRIP=	-p1
 
-MAINTAINER=	ports@FreeBSD.org
-COMMENT=	Less + zcat + ISO-2022 - a pager similar to more and pg
+MAINTAINER=	hrs@FreeBSD.org
+COMMENT=	Less + zcat + ISO-2022 + UTF-8 - a pager similar to more and pg
+
+LICENSE=	GPLv2
 
 MAKE_JOBS_SAFE=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-cs-regex
 MAN1=		jless.1 jlesskey.1
-
 DOCSDIR=	${PREFIX}/share/doc/less
-READMES=	README.iso README.regex README.iso.jp README.regex.jp
+PORTDOCS=	README.iso README.iso.jp README.lesw.euc \
+		README.regex README.regex.jp
 
-post-patch:
-	(cd ${WRKSRC} ; \
-	 ${RM} -f COPYING; \
-	 ${GZCAT} ${DISTDIR}/regex_cs-lwp9k.shar.gz | ${SH}; \
-	 ${PATCH} < ${PATCHDIR}/regex_cs.c.patch )
-	${TOUCH} ${WRKSRC}/configure
+post-extract:
+	cd ${WRKDIR} && \
+		${GZCAT} ${DISTDIR}/regex_cs-lwp9k.shar.gz | ${SH} && \
+		${MV} regex_cs.[ch] README.regex README.regex.jp \
+			README.lesw.euc ${WRKSRC}
 
 post-install:
 .if !defined(NOPORTDOCS)
 	${MKDIR} ${DOCSDIR}
-	(cd ${WRKSRC}; ${INSTALL_DATA} ${READMES} ${DOCSDIR})
+	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif
 
 .include <bsd.port.mk>

Modified: head/japanese/less/distinfo
==============================================================================
--- head/japanese/less/distinfo	Sat Jan 19 13:47:39 2013	(r310654)
+++ head/japanese/less/distinfo	Sat Jan 19 16:57:52 2013	(r310655)
@@ -12,3 +12,5 @@ SHA256 (less-382-iso260-261.patch.gz) = 
 SIZE (less-382-iso260-261.patch.gz) = 841
 SHA256 (less-382-iso261-262.patch.gz) = e7249de419acc3b8c4a11bed376d778711fd031887d0df0624d62a6d07356842
 SIZE (less-382-iso261-262.patch.gz) = 2215
+SHA256 (less-382-iso262.ext03.patch.gz) = 82fb77f21ea1f3281224fcbfad073aeab12fb40d6623c9b40698be952401f821
+SIZE (less-382-iso262.ext03.patch.gz) = 138951

Modified: head/japanese/less/files/patch-ac
==============================================================================
--- head/japanese/less/files/patch-ac	Sat Jan 19 13:47:39 2013	(r310654)
+++ head/japanese/less/files/patch-ac	Sat Jan 19 16:57:52 2013	(r310655)
@@ -4,5 +4,5 @@
  		This modification make regex_cs-lwp9k be able to compile.
  */
  
--char version[] = "382+iso262";
-+char version[] = "382+iso262+regex_cs-lwp9k";
+-char version[] = "382+iso262+ext3";
++char version[] = "382+iso262+ext3+regex_cs-lwp9k";

Modified: head/japanese/less/files/patch-filename.c
==============================================================================
--- head/japanese/less/files/patch-filename.c	Sat Jan 19 13:47:39 2013	(r310654)
+++ head/japanese/less/files/patch-filename.c	Sat Jan 19 16:57:52 2013	(r310655)
@@ -1,15 +1,9 @@
 --- filename.c.orig	2010-05-10 23:08:16.800855000 +0900
-+++ filename.c	2010-05-10 23:10:53.231134025 +0900
-@@ -802,9 +802,15 @@
- 	else if (strcmp(".gz", &filename[length - 3]) == 0 ||
- 		 strcmp(".GZ", &filename[length - 3]) == 0)
- 		return ("| gzip -cd %s");
-+	else if (strcmp(".xz", &filename[length - 3]) == 0 ||
-+		 strcmp(".XZ", &filename[length - 3]) == 0)
-+		return ("| xz -cd %s");
- 	else if (strcmp(".bz2", &filename[length - 4]) == 0 ||
- 		 strcmp(".BZ2", &filename[length - 4]) == 0)
- 		return ("| bzip2 -cd %s");
++++ filename.c	2013-01-19 08:38:15.691025968 +0900
+@@ -817,6 +817,9 @@
+ 	else if (strcmp(".xz", &filename[length - 3]) == 0 ||
+ 		 strcmp(".XZ", &filename[length - 3]) == 0)
+ 		return ("| xz -cd %s");
 +	else if (strcmp(".lzma", &filename[length - 5]) == 0 ||
 +		 strcmp(".LZMA", &filename[length - 5]) == 0)
 +		return ("| lzma -cd %s");

Copied: head/japanese/less/files/patch-regex_cs.c (from r305850, head/japanese/less/files/regex_cs.c.patch)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/less/files/patch-regex_cs.c	Sat Jan 19 16:57:52 2013	(r310655, copy of r305850, head/japanese/less/files/regex_cs.c.patch)
@@ -0,0 +1,11 @@
+--- regex_cs.c.orig	Tue Feb  7 12:08:50 2006
++++ regex_cs.c	Tue Feb  7 12:10:03 2006
+@@ -39,7 +39,7 @@
+ #include "config.h"
+ #endif
+ #include "defines.h"
+-#include "multi.h"
++#include "less.h"
+ #define ISCSDMY(c,cs)           (CSISASCII(cs) && (c == PADCH))
+ 
+ #define SWITCH_ENUM_BUG

Modified: head/japanese/less/pkg-descr
==============================================================================
--- head/japanese/less/pkg-descr	Sat Jan 19 13:47:39 2013	(r310654)
+++ head/japanese/less/pkg-descr	Sat Jan 19 16:57:52 2013	(r310655)
@@ -1,11 +1,13 @@
-       Less  is  a  program similar to more (1), but which allows
-       backward movement in the file as well as forward movement.
-       Also,  less  does  not  have to read the entire input file
-       before starting, so with large input files  it  starts  up
-       faster  than  text editors like vi (1).
+Less is a program similar to more(1), but which allows backward
+movement in the file as well as forward movement.  Also, less does not
+have to read the entire input file before starting, so with large
+input files it starts up faster than text editors like vi(1).
 
-  This enhanced less support ISO 2022 code extension techniqes and
+This enhanced less support ISO 2022 code extension techniqes and
 Japanese codes(EUC Japanese, SJIS) and compressed(or gzipped) file
-viewing. The author of this patch is jam@pobox.com. See 
-WWW: http://www25.big.jp/~jam/less/
-for the latest info.
+viewing.  The author of the patch is jam@pobox.com, and the UTF-8
+support patch is written by bogytech.
+
+WWW: http://www25.big.jp/~jam/less/ (broken link)
+WWW: http://web.archive.org/web/20070220213232/http://www25.big.or.jp/~jam/less
+WWW: http://bogytech.blogspot.jp/search/label/jless

Modified: head/japanese/less/pkg-plist
==============================================================================
--- head/japanese/less/pkg-plist	Sat Jan 19 13:47:39 2013	(r310654)
+++ head/japanese/less/pkg-plist	Sat Jan 19 16:57:52 2013	(r310655)
@@ -1,8 +1,4 @@
+@comment $FreeBSD$
 bin/jless
 bin/jlesskey
 bin/jlessecho
-%%PORTDOCS%%%%DOCSDIR%%/README.iso
-%%PORTDOCS%%%%DOCSDIR%%/README.iso.jp
-%%PORTDOCS%%%%DOCSDIR%%/README.regex
-%%PORTDOCS%%%%DOCSDIR%%/README.regex.jp
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Hiroki Sato freebsd_committer 2013-01-19 16:58:11 UTC
State Changed
From-To: open->closed

Committed with some minor modification.  Thanks! 


Comment 3 Hiroki Sato freebsd_committer 2013-01-19 16:58:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Committed with some minor modification.  Thanks!